Skip to main content
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
북마크 폴더 조회하기
curl --request GET \
  --url https://api.x.com/2/users/{id}/bookmarks/folders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "name": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

결과를 반환할 때 기준이 되는 인증된 소스 사용자의 id입니다. 이 사용자에 대한 고유 식별자입니다. 인증된 사용자와 동일한 값이어야 합니다.

Example:

"2244994945"

Query Parameters

max_results
integer<int32>

최대로 반환할 결과 수입니다.

Required range: 1 <= x <= 100
pagination_token
string

이 매개변수는 다음 결과 ‘페이지’를 가져오는 데 사용됩니다. base36 페이지네이션 토큰입니다.

Minimum string length: 1

Response

요청이 성공했습니다.

data
object[]
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

meta
object